# boost::numeric::ublas::index_pair_array< V1, V2 > Class Template Reference

List of all members.

## Public Types

typedef V1::value_type | value1_type
typedef V2::value_type | value2_type
typedef V1::size_type | size_type
typedef V1::difference_type | difference_type
typedef index_pair< self_type > | value_type
typedef value_type | reference
typedef const value_type | const_reference
typedef indexed_iterator < self_type, std::random_access_iterator_tag > | iterator
typedef indexed_const_iterator < self_type, std::random_access_iterator_tag > | const_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | index_pair_array (size_type size, V1 &data1, V2 &data2)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE reference | operator() (size_type i)
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE bool | equal (size_type i1, size_type i2) const
BOOST_UBLAS_INLINE bool | less (size_type i1, size_type i2) const

## Friends

class | index_pair< self_type >
BOOST_UBLAS_INLINE friend void | iter_swap (const iterator &lhs, const iterator &rhs)

### template<class V1, class V2>
class boost::numeric::ublas::index_pair_array< V1, V2 >